
QGIS Application - Bug report #11304

The ComposerMap's tooltip is not updated after readXML

2014-10-01 07:50 AM - René-Luc ReLuc

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19600

Description

The ComposerMap's tooltip is only set in the private init method. This method is only used in the ComposerMap constructor. The result is

that the tooltip is not updated after reading the id from the XML.

The solution could be to add a private method updateToolTip used when the id is changed :

    -  constructor

    -  assignFreeId

    -  readXML

History

#1 - 2014-10-01 07:54 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes

Pull request 1602 https://github.com/qgis/QGIS/pull/1602

#2 - 2014-10-09 03:51 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Merged - thank you!
